Program RDEF;
{$nomain}

{ 
  Version
  File:[22,310]RDEF.PAS
  Author: Jim Bostwick 21-Oct-83

  Last Edit: 23-JUN-1988 22:21:22 

  History:
	 23-JUN-1988 21:58:07  - JMB PA3UTL upgrade.


}
{$Nolist}
{[a+,b+,l-,k+,r+] Pasmat }
 %INCLUDE 'PAS$EXT:General.typ';
%INCLUDE 'PAS$EXT:RDXF.EXT';

{$List }

{----------------- Boolean status of a single efn -----------------}

Function RDEF(efn:Event_flag):Boolean;External;

{*USER*
 Pascal-3 Function which returns status of given event flag. 
All efns are serviced - including group globals.
 $DSW holds status of internal RDXF call on exit: this will
be IS.CLR (0) if group globals do not exist. However, the
return status will be correct (assuming the requested flag
is not group global).
}

Function RDEF;

VAR
  flags:Event_Flag_set;

BEGIN
  rdxf(Flags);
  RDEF := efn IN flags
end;
